1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Properties

Companies

Developing
PATCH
/companies/{propertyID}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204Success
Headers

This response does not have a body.
🟠400400 Bad request
🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/companies/1211' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "status": "Active",
    "companyName": "test",
    "addressLine1": "Address 08-05-26 1644",
    "addressLine2": "Suite 833",
    "addressLine3": "amet do",
    "town": "Bartoletticester",
    "provinceID": 1,
    "postcode": "38085",
    "accountingSystemReference": "604f2b05-713c-4d34-a424-71182dc221d6",
    "vacant": "No",
    "advertisingID": 1,
    "buildingTypeID": 12,
    "priceBookID": 1,
    "creditorsDayID": 1,
    "hasAfterSalesCareBeenTurnedOn": false
}'
Response Response Example
400 - Example 1
{
    "error": {
        "code": "string",
        "message": "string",
        "details": {
            "field": "string",
            "code": "string",
            "message": "string"
        }
    }
}
Modified at 2026-06-30 06:08:29
Previous
Customers
Next
Work addresses
Built with